# mediasession.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/transports.h>`
`#include <opal/mediatype.h>`

Include dependency graph for mediasession.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalMediaStatistics
struct | OpalMediaStatistics::Fax
class | OpalMediaCryptoKeyInfo
class | OpalMediaCryptoSuite
class | OpalMediaSession
struct | OpalMediaSession::Init
| Initialisation information for constructing a session. More...

## Typedefs

typedef PList< OpalMediaCryptoKeyInfo > | OpalMediaCryptoKeyList
typedef PFactory< OpalMediaCryptoSuite, PCaselessString > | OpalMediaCryptoSuiteFactory
typedef PParamFactory< OpalMediaSession, const OpalMediaSession::Init &, PCaselessString > | OpalMediaSessionFactory

## Typedef Documentation

typedef PList<OpalMediaCryptoKeyInfo> OpalMediaCryptoKeyList

typedef PFactory<OpalMediaCryptoSuite, PCaselessString> OpalMediaCryptoSuiteFactory

typedef PParamFactory<OpalMediaSession, const OpalMediaSession::Init &, PCaselessString> OpalMediaSessionFactory